<template>
    <div class="notifications">
        <v-snackbar v-for="(m, i) in messages"
                :color="m.color" :key="i"
                    v-model="m.show"
                    :timeout="m.timeout"
        >
            {{ m.text }}
            <v-btn icon dark flat @click.native="close(m, i)">
                <v-icon>close</v-icon>
            </v-btn>
        </v-snackbar>
    </div>
</template>

<script>

    import Notify from "./../services/Notify";

    export default {
        data: () => ({
            messages: Notify.messages
        }),

        methods: {
            close(m) {
                m.show = false;
                Notify.remove(m);
            }
        }
    }
</script>
